<template>
  <div>
    <div class="titulo">
      <div class="ruta">
        <v-breadcrumbs :items="breadcrumbs" :large="false">
          <template v-slot:divider>
            <v-icon>mdi-chevron-right</v-icon>
          </template>
        </v-breadcrumbs>
      </div>
      <strong>Modelo de Revisión en Sitio</strong>
    </div>
    <div class="cotm">
      <div class="tmod">
        <strong>¿Con qué deseas comenzar hoy?</strong>
      </div>
    </div>
    <!-- Contenido -->
    <div class="contSecc">
      <v-row class="justify-center">
        <v-col
          v-for="(card, indexCard) in cards"
          :key="card.title"
          :xs="12"
          :sm="12"
          :md="6"
          :lg="3"
          :offset-lg="indexCard === 0 ? 0 : 0"
        >
          <v-card :to="card.to" :color="card.color" class="generalCard pa-4">
            <v-avatar class="ma-3" size="200" tile>
              <v-img
                :contain="true"
                :aspect-ratio="1"
                position="center"
                :src="card.src"
                :lazy-src="card.src"
                class="white--text align-end"
                height="150"
              >
                <template v-slot:placeholder>
                  <v-row class="fill-height ma-0" align="center" justify="center">
                    <v-progress-circular indeterminate color="grey lighten-5"></v-progress-circular>
                  </v-row>
                </template>
              </v-img>
            </v-avatar>
            <v-card-title class="cardTitle justify-center black--text" v-text="card.title"></v-card-title>
            <v-card-subtitle class="black--text" v-text="card.description"></v-card-subtitle>
          </v-card>
        </v-col>
      </v-row>
    </div>
    <!-- Fin conSecc -->
  </div>
</template>
<style scoped>
.generalCard .cardTitle {
  border-top: 2px solid #ffcd00;
}
</style>
<script>
import store from "@/store";
import axios from "axios";
const serviceCommons = store.state.serviceCommons;
const serviceLocalStorage = store.state.serviceLocalStorage;
export default {
  data() {
    return {
      negocios: [{idNegocio:1},{idNegocio:7},{idNegocio:8}, {idNegocio:5}],
      cards: null,
      filtrosFechas:{
        fechaInicio:"",
        fechaFin:""
      },
      breadcrumbs: [
        {
          text: "Plataforma de Franquicia",
          disabled: false,
          exact: true,
          to: {
            name: "home",
          },
        },
        {
          text: "Modelo de Revisión en Sitio",
          disabled: true,
        },
      ],
    };
  },
  methods: {
    initCards() {
      this.cards = [
        {
          title: "Dashboard Cobertura",
          src: require("@/assets/img/sistema-info.svg"),
          description: "Consulta tu cobertura y los informes de revisión en sitio",
          to: {
            name: "certificacion_calidad_director_dashboards",
            params: {
              negocio: this.serviceCommons.objectToBase64(this.negocios[0]), //PENDIENTE INTEGRAR WS
              filtrosFechas: this.serviceCommons.objectToBase64(this.filtrosFechas)
            },
          },
          color: "#faf9f9",
        },
        {
          title: "Galería de Evidencia",
          src: require("@/assets/img/certificacion-calidad/galeria-evidencias.svg"),
          description: "Si deseas consultar las certificaciones realizadas de los puntos de venta",
          to: {
            name: "certificacion_calidad_invitado",
            params: {
              
            },
          },
          color: "#faf9f9",
        },
        /*{
          
          title: "Certificación de Calidad",
          src: require("@/assets/img/modelo-negocio.svg"),
          description: "Sistema de Certificación de Calidad",
          to: {
            name: "modelo_negocio"
          },
          color: "#faf9f9"
        },*/
        {
          
          title: "Buscadores",
          src: require("@/assets/img/certificacion-calidad/buscadores.svg"),
          description: "Busca por Punto de Venta, Gerentes y Certificadores",
          to: {
            name: "certificacion_calidad_director_buscador"
          },
          color: "#faf9f9"
        },
        
        {
          
          title: "Asignación de PV",
          src: require("@/assets/img/asignacionSup/asignacion-seccion.svg"),
          description: "Si deseas Asignar un Punto de Venta",
          to: {
            name: "modelo_franquicia_home_asignaciones_director"
          },
          color: "#faf9f9"
        }
          /*
      {
          title: "Por CDT",
          src: require("@/assets/img/disciplinas-b.svg"),
          description: "Si deseas ver informes mas directos por disciplina.",
          to: {
            name: "certificacion_calidad_director_dashboard",
            params: {
              negocio: this.serviceCommons.objectToBase64(this.negocios[1]), //PENDIENTE INTEGRAR WS
              filtrosFechas: this.serviceCommons.objectToBase64(this.filtrosFechas)
            },
          },
          color: "#494949",
        },
        {
          title: "Por Italika",
          src: require("@/assets/img/disciplinas-b.svg"),
          description: "Si deseas ver informes mas directos por disciplina.",
          to: {
            name: "certificacion_calidad_director_dashboard",
            params: {
              negocio: this.serviceCommons.objectToBase64(this.negocios[2]), //PENDIENTE INTEGRAR WS
              filtrosFechas: this.serviceCommons.objectToBase64(this.filtrosFechas)
            },
          },
          color: "#494949",
        },
        {
          title: "Por GCC",
          src: require("@/assets/img/disciplinas-b.svg"),
          description: "Si deseas ver informes mas directos por disciplina.",
          to: {
            name: "certificacion_calidad_director_dashboard",
            params: {
              negocio: this.serviceCommons.objectToBase64(this.negocios[3]), //PENDIENTE INTEGRAR WS
              filtrosFechas: this.serviceCommons.objectToBase64(this.filtrosFechas)
            },
          },
          color: "#494949",
        }*/
      ];
    },
    getPeridoInfo() {
      const self = this;
      axios
        .get("franquicia/periodo/secure/get/actual")
        .then((response) => {
          if (response) {
            if (response.data.status_code === 200) {
              const data = response.data.data;
              if (data) {
                //Se comenta el bimestre para traer solo fechas del trimestre. 
                //PENDIENTE Parametrizar el periodo.
                data.bimestre = null;
                //data.trimestre = data.trimestre - 1;
                delete data.festivo
                self.getFechasPeriodo(data);
              }else{
                 self.filtrosFechas.fechaInicio = "01/01/2021";
                 self.filtrosFechas.fechaFin = "31/03/2021";
                 self.initCards();
              }
            }
          }
        })
        .catch((error) => {
          console.log(error);
        });
    },
    getFechasPeriodo(periodo){
      const self = this;
      axios
        .post("franquicia/periodo/secure/get/fechas",periodo)
        .then((response) => {
          if (response) {
            if (response.data.status_code === 200) {
              const data = response.data.data;
              if (data) {
                 self.filtrosFechas.fechaInicio = data.fecha_inicio;
                 self.filtrosFechas.fechaFin = data.fecha_fin;
                 //self.filtrosFechas.fechaInicio = "01/07/2020";
                 //self.filtrosFechas.fechaFin = "30/09/2020";
                 self.initCards();
              }
            }
          }
        })
        .catch((error) => {
          console.log(error);
        });
    }
  },
  computed: {
    serviceCommons() {
      return serviceCommons;
    },
  },
  created() {
    this.getPeridoInfo()
  },
};
</script>
